| Home | Libraries | People | FAQ | More

## Function template istarts_with

boost::algorithm::istarts_with — 'Starts with' predicate ( case insensitive )

## Synopsis

    // In header: <boost/algorithm/string/predicate.hpp>

    template<typename Range1T, typename Range2T>
      bool istarts_with(const Range1T & Input, const Range2T & Test,
                        const std::locale & Loc = std::locale());

## Description

This predicate holds when the test string is a prefix of the Input. In other words, if the input starts with the test. Elements are compared case insensitively.

| Note
This function provides the strong exception-safety guarantee

Parameters: |
`Input` | An input sequence
`Loc` | A locale used for case insensitive comparison
`Test` | A test sequence
Returns: | The result of the test